### Function

# GimpUi prop_icon_image_new

#### Declaration [src]

    GtkWidget*
    gimp_prop_icon_image_new (
      GObject* config,
      const gchar* property_name,
      GtkIconSize icon_size
    )

#### Description [src]

Creates a widget to display a icon image representing the value of the specified string property, which should encode an icon name. See `gtk_image_new_from_icon_name()` for more information.

Available since: | 2.10

#### Parameters

`config` | `GObject`
| Object to which property is attached.
| The data is owned by the caller of the function.
`property_name` | `const gchar*`
| Name of string property.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`icon_size` | `GtkIconSize`
| Size of desired icon image.

#### Return value

Returns: | `GtkWidget`
| A new `GtkImage` widget.
| The caller of the function takes ownership of the data, and is responsible for freeing it.